import { coerceBooleanProperty } from '@angular/cdk/coercion';
import { Input, Component, ViewEncapsulation, NgModule } from '@angular/core';

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let NtSkeletonComponent = class NtSkeletonComponent {
    constructor() {
        this._circle = false;
        this._inline = false;
    }
    get circle() { return this._circle; }
    set circle(value) {
        if (value !== this.circle) {
            this._circle = coerceBooleanProperty(value);
        }
    }
    get inline() { return this._inline; }
    set inline(value) {
        if (value !== this.inline) {
            this._inline = coerceBooleanProperty(value);
        }
    }
};
__decorate([
    Input()
], NtSkeletonComponent.prototype, "circle", null);
__decorate([
    Input()
], NtSkeletonComponent.prototype, "inline", null);
NtSkeletonComponent = __decorate([
    Component({
        selector: 'nt-skeleton, [nt-skeleton]',
        template: '<ng-content></ng-content>',
        encapsulation: ViewEncapsulation.None,
        host: {
            'class': 'nt-skeleton',
            '[class.circle]': 'circle',
            '[class.inline]': 'inline',
        }
    })
], NtSkeletonComponent);

var __decorate$1 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let NtSkeletonModule = class NtSkeletonModule {
};
NtSkeletonModule = __decorate$1([
    NgModule({
        exports: [NtSkeletonComponent],
        declarations: [NtSkeletonComponent]
    })
], NtSkeletonModule);

export { NtSkeletonComponent, NtSkeletonModule };
//# sourceMappingURL=skeleton.js.map
