import { BehaviorSubject } from 'rxjs';
import { InjectionToken, OnDestroy } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { NtNavConfig } from './nav-config';
import { NtNavMenu } from './nav-menu';
export declare const NT_NAV_MENUS: InjectionToken<NtNavMenu[]>;
export declare class NtNavigationAdapter implements OnDestroy {
    private route;
    private router;
    config: NtNavConfig;
    private readonly destroy;
    private menus;
    readonly activatedUrlTree: BehaviorSubject<any[]>;
    readonly activeUrl: BehaviorSubject<any>;
    constructor(route: ActivatedRoute, router: Router, config: NtNavConfig, menus: NtNavMenu[]);
    ngOnDestroy(): void;
    getRouteMenus(): import("rxjs").Observable<NtNavMenu[]>;
    private buildUrlTree;
}
