import { AfterViewInit, ChangeDetectorRef, OnDestroy, QueryList, ViewContainerRef } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { NtQueryParamDefDirective } from './query-param.directive';
import { NtQueryParamsOutletDirective } from './query-params-outlet.directive';
export declare class NtQueryParamsComponent implements AfterViewInit, OnDestroy {
    viewContainerRef: ViewContainerRef;
    private route;
    private router;
    private _changeDetectorRef;
    private _destroy;
    _outlet: NtQueryParamsOutletDirective;
    queryParamDefs: QueryList<NtQueryParamDefDirective>;
    constructor(viewContainerRef: ViewContainerRef, route: ActivatedRoute, router: Router, _changeDetectorRef: ChangeDetectorRef);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    clearAll(): void;
    private _clearViewContainer;
    private _attachmentQueryParamItems;
    private _createQueryParamItemContext;
}
