(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/cdk/coercion'), require('@angular/core')) :
    typeof define === 'function' && define.amd ? define('@ng-tangram/pro/skeleton', ['exports', '@angular/cdk/coercion', '@angular/core'], factory) :
    (global = global || self, factory((global.nt = global.nt || {}, global.nt.pro = global.nt.pro || {}, global.nt.pro.skeleton = {}), global.ng.cdk.coercion, global.ng.core));
}(this, (function (exports, coercion, core) { 'use strict';

    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var NtSkeletonComponent = (function () {
        function NtSkeletonComponent() {
            this._circle = false;
            this._inline = false;
        }
        Object.defineProperty(NtSkeletonComponent.prototype, "circle", {
            get: function () { return this._circle; },
            set: function (value) {
                if (value !== this.circle) {
                    this._circle = coercion.coerceBooleanProperty(value);
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(NtSkeletonComponent.prototype, "inline", {
            get: function () { return this._inline; },
            set: function (value) {
                if (value !== this.inline) {
                    this._inline = coercion.coerceBooleanProperty(value);
                }
            },
            enumerable: true,
            configurable: true
        });
        __decorate([
            core.Input()
        ], NtSkeletonComponent.prototype, "circle", null);
        __decorate([
            core.Input()
        ], NtSkeletonComponent.prototype, "inline", null);
        NtSkeletonComponent = __decorate([
            core.Component({
                selector: 'nt-skeleton, [nt-skeleton]',
                template: '<ng-content></ng-content>',
                encapsulation: core.ViewEncapsulation.None,
                host: {
                    'class': 'nt-skeleton',
                    '[class.circle]': 'circle',
                    '[class.inline]': 'inline',
                }
            })
        ], NtSkeletonComponent);
        return NtSkeletonComponent;
    }());

    var __decorate$1 = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var NtSkeletonModule = (function () {
        function NtSkeletonModule() {
        }
        NtSkeletonModule = __decorate$1([
            core.NgModule({
                exports: [NtSkeletonComponent],
                declarations: [NtSkeletonComponent]
            })
        ], NtSkeletonModule);
        return NtSkeletonModule;
    }());

    exports.NtSkeletonComponent = NtSkeletonComponent;
    exports.NtSkeletonModule = NtSkeletonModule;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=skeleton.umd.js.map
