import { coerceBooleanProperty } from '@angular/cdk/coercion';
import { Input, Component, ViewEncapsulation, NgModule } from '@angular/core';

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var NtSkeletonComponent = (function () {
    function NtSkeletonComponent() {
        this._circle = false;
        this._inline = false;
    }
    Object.defineProperty(NtSkeletonComponent.prototype, "circle", {
        get: function () { return this._circle; },
        set: function (value) {
            if (value !== this.circle) {
                this._circle = coerceBooleanProperty(value);
            }
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(NtSkeletonComponent.prototype, "inline", {
        get: function () { return this._inline; },
        set: function (value) {
            if (value !== this.inline) {
                this._inline = coerceBooleanProperty(value);
            }
        },
        enumerable: true,
        configurable: true
    });
    __decorate([
        Input()
    ], NtSkeletonComponent.prototype, "circle", null);
    __decorate([
        Input()
    ], NtSkeletonComponent.prototype, "inline", null);
    NtSkeletonComponent = __decorate([
        Component({
            selector: 'nt-skeleton, [nt-skeleton]',
            template: '<ng-content></ng-content>',
            encapsulation: ViewEncapsulation.None,
            host: {
                'class': 'nt-skeleton',
                '[class.circle]': 'circle',
                '[class.inline]': 'inline',
            }
        })
    ], NtSkeletonComponent);
    return NtSkeletonComponent;
}());

var __decorate$1 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var NtSkeletonModule = (function () {
    function NtSkeletonModule() {
    }
    NtSkeletonModule = __decorate$1([
        NgModule({
            exports: [NtSkeletonComponent],
            declarations: [NtSkeletonComponent]
        })
    ], NtSkeletonModule);
    return NtSkeletonModule;
}());

export { NtSkeletonComponent, NtSkeletonModule };
//# sourceMappingURL=skeleton.js.map
