import { Subject } from 'rxjs';
import { ChangeDetectorRef } from '@angular/core';
import { NtNavMenu } from './nav-menu';
import { NtNavigationAdapter } from './nav-menu-adapter';
export declare abstract class NtNavController {
    private changeDetectorRef;
    private navAdapter;
    protected readonly destroy: Subject<unknown>;
    protected readonly routeMenusUpdate: Subject<unknown>;
    abstract filter: (menu: NtNavMenu) => boolean;
    _routeMenus: NtNavMenu[];
    constructor(changeDetectorRef: ChangeDetectorRef, navAdapter: NtNavigationAdapter);
    private _checkActivatedMenu;
    private _filterRouteMenus;
}
