import { ChangeDetectorRef } from '@angular/core';
import { NtNavController } from './nav-controller';
import { NtNavMenu } from './nav-menu';
import { NtNavigationAdapter } from './nav-menu-adapter';
export declare class NtNavSidebarComponent extends NtNavController {
    private _dropdown;
    get dropdown(): boolean;
    set dropdown(value: boolean);
    private _filter;
    get filter(): (menu: NtNavMenu) => boolean;
    set filter(value: (menu: NtNavMenu) => boolean);
    title: string;
    logo: string;
    _baseUrl: string;
    constructor(changeDetectorRef: ChangeDetectorRef, navAdapter: NtNavigationAdapter);
}
