import { experimental } from '@angular-devkit/core';
import { Tree } from '@angular-devkit/schematics';
export declare type WorkspaceSchema = experimental.workspace.WorkspaceSchema;
export declare type WorkspaceProject = experimental.workspace.WorkspaceProject;
export declare function readConfig(host: Tree): any;
export declare function writeConfig(host: Tree, config: JSON): void;
export declare function getDefaultAngularAppName(config: any): string;
export declare function getAngularAppConfig(config: any, projectName: string): any | never;
export declare function addStyle(host: Tree, projectName: string, stylePath: string): void;
export declare function addAsset(host: Tree, projectName: string, asset: string | {
    glob: string;
    input: string;
    output: string;
}): void;
export declare function addArchitectBuilder(host: Tree, projectName: string, builderName: string, builderOpts: any): void | never;
export declare function getWorkspacePath(host: Tree): string;
export declare function getWorkspace(host: Tree): WorkspaceSchema;
