import { Observable } from 'rxjs';
import { FormControl } from '@angular/forms';
import { NtAutocompleteSelectedEvent } from '@ng-tangram/components/autocomplete';
export declare class NtSearchInputComponent {
    private _destory;
    private _keywordChange;
    private _placeholder;
    get placeholder(): string;
    set placeholder(value: string);
    _prekeyword: string;
    _inputing: boolean;
    _keywordControl: FormControl;
    search: Observable<string>;
    input: Observable<string>;
    onEnter(event: Event): void;
    onBlur(): void;
    clearKeyword(event: Event): void;
    onOptionSelected(change: NtAutocompleteSelectedEvent): void;
}
